@import "../../../styles/variables.scss";

.customer {
  border: 1px solid $dark-blue;
  margin: 110px 10vw 5vw;
  border-radius: 13px;
  padding: 2vw 8vw;
  position: relative;
  box-sizing: border-box;

  &__wrapper {
    width: 100%;
  }

  &__profilImg {
    border: 15px solid white;
    width: 250px;
    border-radius: 50%;
    position: absolute;
    top: -100px;
    left: -50px;
  }

  &__numCompet {
    margin-left: auto;
    display: flex;
    align-items: center;
    font-size: 1.4rem;

    span {
      background: $dark-blue;
      color: white;
      display: flex;
      align-items: center;
      justify-content: center;
      border-radius: 50%;
      margin-left: 20px;
      height: 50px;
      width: 50px;
    }
  }

  &__infos {
    display: flex;
    column-gap: 15px;
    margin-left: 100px;
    font-size: 2.2rem;
    margin-bottom: 40px;
    align-items: center;

    h2 {
      font-weight: bold;
      font-size: 2.2rem;

      span {
        text-transform: uppercase;
      }
    }
  }

  &__pro {
    border-left: 1px solid $dark-blue;
    padding-left: 15px;
  }

  &__boat {
    width: 80%;
    margin: 20px auto;
  }

  &__boatTitle {
    font-weight: bold;
    margin-bottom: 25px;
  }

  &__boatContainer {
    display: flex;
    align-items: center;
    justify-content: center;
    column-gap: 15px;
  }
}

.ranking {
  width: 80%;
  margin: 0 auto;

  &__title {
    font-weight: bold;
    margin-bottom: 25px;
  }

  &__names {
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    font-weight: bold;
    margin-bottom: 15px;
  }
  &__item {
    display: grid;
    padding: 15px 0;
    grid-template-columns: repeat(3, 1fr);
    text-align: center;
    transition: background-color 0.3s ease, color 0.3s ease;

    &:nth-of-type(2n) {
      background-color: $grey;
    }

    &:hover {
      background-color: $red;
      color: white;
    }
  }
}
